Subject: Re: [PATCH] remote-curl: fix clone on sha256 repos

From: "brian m. carlson" <[email-masked]>
Date: Tue, 11 May 2021 23:51:26 +0000

On 2021-05-11 at 23:48:51, Junio C Hamano wrote:
> "brian m. carlson" <[email-masked]> writes:
> 
> > This seems fine as a solution for now.  I tried to keep the transport
> > code mostly independent of the local repository settings, but in this
> > case because the HTTP walker mucks around with the internals of the
> > local pack files, I don't think we can avoid this without some major
> > restructuring, which I'm not interested in sitting down and writing this
> > evening.
> >
> > I'll clean this up in a nicer way once I get interop working.  Thanks
> > for sending a patch for this.
> 
> Thanks, both.
> 
> As an "experimental" stuff, I do not think SHA256 "fix" is as urgent
> as (or of higher priority than) other stuff, like reducing
> inter-developer stepping-on-others-toes, so I'll refrain from
> picking Eric's patch up myself and let you include/handle it later.

No, please do pick up the patch.  The time frame for which I'm looking
at fixing this is several months out and I think some solution is best
adopted now.  Since Eric has sent a patch that works, I think it's best
to fix the immediate problem and let me clean up things later on.
-- 
brian m. carlson (he/him or they/them)
Houston, Texas, US